package com.fdage.service;

import com.fdage.dto.SceneDto;
import com.fdage.entity.SceneEntity;
import com.fdage.util.Result;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * Created by owen on 2021/8/23 0023 17:13
 */
//public interface SceneService extends IBaseService<SceneEntity, Long> {
public interface SceneService {

    Result<SceneEntity> findAll();


    Result<SceneEntity> saveEntity(SceneDto param);

    Result upload(MultipartFile file, String dirCode, boolean useCode);

    Result detail(Long id);

    Result remove(Long id);
}
